<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования языка Центра администрирования.
 * 
 * Файл: /admin/admin_forms/action/add_admin_language.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$param = array();

$param['admin_language_id'] = to_int($_POST['admin_language_id']);

$param['admin_language_name'] = to_str($_POST['admin_language_name']);
$param['admin_language_short_name'] = to_str($_POST['admin_language_short_name']);
$param['admin_language_active'] = isset($_POST['admin_language_active']) ? 1 : 0;
$param['admin_language_order'] = to_int($_POST['admin_language_order']);

// Вставляем/обновляем информацию о языке Центра администрирования.
$insert_admin_language_id = $admin_forms->AddLanguage($param);

if (!$insert_admin_language_id)
{	 
	// Редактирование информации о языке 
	if ($param['admin_language_id'])
	{
		show_error_message($GLOBALS['MSG_admin_forms']['form_language_edit_error']);
	}
	else // Добавление информации о языке центра администрирования 
	{
		show_error_message($GLOBALS['MSG_admin_forms']['form_language_add_error']);
	}
}
else
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddAdminLanguage', 'admin_language_id', '<?php echo $insert_admin_language_id?>');
	</script><?php
	
	// Редактирование информации о языке 
	if ($param['admin_language_id'])
	{
		show_message($GLOBALS['MSG_admin_forms']['form_language_edit_success']);
	}
	else // Добавление информаци о языке
	{
		show_message($GLOBALS['MSG_admin_forms']['form_language_add_success']);
	}
}
?>